/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */
#pragma once
#include <dawn/dawn.h>

/**
 * Deals a card from an array source to an array destination. Pointers to array
 * lengths will be updated.
 * 
 * @param source Array source.
 * @param sourceSize Pointer to where the count of cards is being stored.
 * @param dest Array destination.
 * @param destSize Pointer to the size of the destination array.
 */
void cardDeal(card_t *source, uint8_t *sourceSize, card_t *dest,
  uint8_t *destSize
);